import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PageHomeComponent } from './page-home/page-home.component';
import { PageTextbookComponent } from './components/page-textbook/page-textbook.component';
import { ApplyComponent } from './apply/apply.component';
// import { ProfileComponent } from '../user/profile/profile.component';
import { SpaceComponent } from './space/space.component'
import { TextbookDetailsComponent } from './textbook-details/textbook-details.component'
const routes: Routes = [
  {
    path: '',
    redirectTo:'manage/space',
    pathMatch: "full",
  },
  {
    path: 'manage',
    component: PageHomeComponent,
    children: [
      {
        path: 'space',//创建教材
        component: SpaceComponent,
      },
      {
        path: 'apply',//创建教材
        component: ApplyComponent,
      },
      {
        path: 'dateils',//创建教材
        component: TextbookDetailsComponent,
      },
      // {
      //   path: 'textbook',//列表
      //   component: PageTextbookComponent,
      // },
      {
        path: 'recycle',//回收站
        component: PageTextbookComponent,
      },
    ],
  },
  // {
  //   path: 'profile',
  //   component: ProfileComponent,
  // },
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class NavAuthorRoutingModule {}
