import { MatDialog } from "@angular/material/dialog";
import Parse from "parse";
import { ParseSchema } from "./func-parse";

export const EduTextbook:ParseSchema = {
    title:"教材",
    className:"EduTextbook",
    emptyImg:"/img/webhook-empty.png",
    include:["user"],
    buttons:[
        {
            name:"编辑",
            place:"item",
            show:(options:{object:Parse.Object})=>{
                return true
            },
            // handle:(options:{clusterServ:ClusterService,dialog:MatDialog,object:Parse.Object})=>{
            //     options?.clusterServ?.openMinerDialog(options?.dialog,options?.object)
            // }
        },
    ],
    fieldsArray:[
        {key:"title",name:"教材名称",type:"String",isHeader:true},
        {key:"desc",name:"教材描述",type:"String"},
        {key:"user",name:"创建人",type:"Pointer",targetClass:"_User",isHeader:true,showName:"${name}"},
    ]
}